#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n, k;
    cin >> n >> k;
    int spil[n];
    for (int i = 0; i < n; i++)
        cin >> spil[i];
    if (k == spil[n - 1]) cout << spil[0];
    else{
        for (int i = 0; i < n - 1; i++)
            if (k == spil[i])
                cout << spil[i + 1];
    }
	return 0;
}